Bug 240602 - [NEW PORT] multimedia/py-pymediainfo: Python wrapper for the mediainfo library
Summary: [NEW PORT] multimedia/py-pymediainfo: Python wrapper for the mediainfo library
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords: feature
Depends on:
Blocks: 240601
  Show dependency treegraph
 
Reported: 2019-09-15 23:48 UTC by m.ne
Modified: 2019-09-21 13:57 UTC (History)
3 users (show)

See Also:
m.ne: maintainer-feedback+


Attachments
shar containing multimedia/py-pymediainfo port (1.85 KB, text/plain)
2019-09-15 23:48 UTC, m.ne
no flags Details
updated shar file (1.91 KB, text/plain)
2019-09-16 02:45 UTC, m.ne
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.ne 2019-09-15 23:48:20 UTC
Created attachment 207524 [details]
shar containing multimedia/py-pymediainfo port

Needed for https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=240601
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2019-09-16 00:54:21 UTC
Please add related issue ID's in the respective Depends On / Blocks or See Also fields

Other review items:

- Remove "A " from COMMENT (portlint)
- BUILD depends before RUN_DEPENDS
- Add LICENSE_FILE when one is provided in the source distribution file

Please run the port through QA (portlint, poudriere) to confirm that it passes prior to submitting issues
Comment 2 m.ne 2019-09-16 02:45:41 UTC
Created attachment 207530 [details]
updated shar file
Comment 3 Kurt Jaeger freebsd_committer 2019-09-21 13:57:32 UTC
Committed, thanks!
Comment 4 commit-hook freebsd_committer 2019-09-21 13:57:56 UTC
A commit references this bug:

Author: pi
Date: Sat Sep 21 13:57:30 UTC 2019
New revision: 512493
URL: https://svnweb.freebsd.org/changeset/ports/512493

Log:
  New port: multimedia/py-pymediainfo

  This small package is a wrapper around the MediaInfo library.

  It works on Linux, Mac OS X and Windows and is tested with Python
  2.7, 3.4, 3.5, 3.6, 3.7, PyPy and PyPy3.

  See https://pymediainfo.readthedocs.io/ for more information.

  WWW: https://github.com/sbraz/pymediainfo

  PR:		240602
  Submitted by:	m.ne@gmx.net
  Reviewed by:	koobs

Changes:
  head/multimedia/Makefile
  head/multimedia/py-pymediainfo/
  head/multimedia/py-pymediainfo/Makefile
  head/multimedia/py-pymediainfo/distinfo
  head/multimedia/py-pymediainfo/pkg-descr